Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#1880 closed defect (not a bug)

Jetty log dir in portable

Reported by: anonymous maybe Owned by:
Priority: minor Milestone: undecided
Component: apps/jetty Version: 0.9.26
Keywords: Cc:
Parent Tickets:

Description

NOTE:- i dont know if this is worth to mention it or not , but the i2p and java that i was using are portable.

I2P version: 0.9.26-0
Java version: Oracle Corporation 1.8.0_101 (Java(TM) SE Runtime Environment 1.8.0_101-b13)
Wrapper version: 3.5.25
Server version: 8.1.17.v20150415
Servlet version: Jasper JSP 2.1 Engine
JSTL version: standard-taglib 1.2.0
Platform: Windows 7 x86 6.1
Jcpuid version: 3
Processor: Haswell Core i3/i5/i7 model 60 (coreihwl)
Jbigi: Locally optimized native BigInteger? library loaded from file
Jbigi version: 3
GMP version: 6.0.0
Encoding: Cp1252
Charset: windows-1252
Note that system information, log timestamps, and log messages may provide clues to your location; please review everything you include in a bug report.
Critical Logs

java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs
at org.eclipse.jetty.util.RolloverFileOutputStream?.setFile(RolloverFileOutputStream?.java:219)
at org.eclipse.jetty.util.RolloverFileOutputStream?.<init>(RolloverFileOutputStream?.java:166)
at net.i2p.jetty.I2PRequestLog.doStart(I2PRequestLog.java:464)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at org.eclipse.jetty.server.handler.RequestLogHandler?.doStart(RequestLogHandler?.java:166)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at org.eclipse.jetty.server.handler.HandlerCollection?.doStart(HandlerCollection?.java:229)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at org.eclipse.jetty.server.handler.HandlerWrapper?.doStart(HandlerWrapper?.java:95)
at org.eclipse.jetty.server.Server.doStart(Server.java:282)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at net.i2p.jetty.JettyStart?$Starter.run(JettyStart?.java:126)

Router Logs (configure)
File location: C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\..\..\Data\settings\..\Logs\log-router-0.txt

  • 27/09/16 21:24:00 ↓↓↓ 1 similar message omitted ↓↓↓
  • 27/09/16 21:18:39 ERROR [ HTTPS Proxy] .i2ptunnel.I2PTunnelClientBase: Unable to build tunnels for the client, retrying in 20 seconds

net.i2p.client.I2PSessionException: [GOTDATE shared clients #57857]: Failed to build tunnels
at net.i2p.client.impl.I2PSessionImpl.connect(I2PSessionImpl.java:712)
at net.i2p.i2ptunnel.I2PTunnelClientBase.connectManager(I2PTunnelClientBase.java:459)
at net.i2p.i2ptunnel.I2PTunnelClientBase.verifySocketManager(I2PTunnelClientBase.java:240)
at net.i2p.i2ptunnel.I2PTunnelClientBase.startRunning(I2PTunnelClientBase.java:525)
at net.i2p.i2ptunnel.I2PTunnelConnectClient.startRunning(I2PTunnelConnectClient.java:126)
at net.i2p.i2ptunnel.I2PTunnel.runConnectClient(I2PTunnel.java:1040)
at net.i2p.i2ptunnel.TunnelController?.startConnectClient(TunnelController?.java:333)
at net.i2p.i2ptunnel.TunnelController?.doStartTunnel(TunnelController?.java:289)
at net.i2p.i2ptunnel.TunnelController?.startTunnel(TunnelController?.java:242)
at net.i2p.i2ptunnel.TunnelController?$1.run(TunnelController?.java:222)
at java.lang.Thread.run(Unknown Source)
at net.i2p.util.I2PThread.run(I2PThread.java:103)
Caused by: java.io.IOException: No tunnels built after waiting 5 minutes. Your network connection may be down, or there is severe network congestion.
at net.i2p.client.impl.I2PSessionImpl.connect(I2PSessionImpl.java:670)
... 11 more

java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs
at org.eclipse.jetty.util.RolloverFileOutputStream?.setFile(RolloverFileOutputStream?.java:219)
at org.eclipse.jetty.util.RolloverFileOutputStream?.<init>(RolloverFileOutputStream?.java:166)
at net.i2p.jetty.I2PRequestLog.doStart(I2PRequestLog.java:464)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at org.eclipse.jetty.server.handler.RequestLogHandler?.doStart(RequestLogHandler?.java:166)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at org.eclipse.jetty.server.handler.HandlerCollection?.doStart(HandlerCollection?.java:229)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at org.eclipse.jetty.server.handler.HandlerWrapper?.doStart(HandlerWrapper?.java:95)
at org.eclipse.jetty.server.Server.doStart(Server.java:282)
at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
at net.i2p.jetty.JettyStart?$Starter.run(JettyStart?.java:126)

  • 27/09/16 21:13:33 WARN [JettyStarter?] rg.eclipse.jetty.server.Server: FAILED org.eclipse.jetty.server.Server@11edbcf: java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs: java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs
  • 27/09/16 21:13:33 ↓↓↓ 1 similar message omitted ↓↓↓
  • 27/09/16 21:13:33 WARN [JettyStarter?] rg.eclipse.jetty.server.Server: FAILED org.eclipse.jetty.server.handler.RequestLogHandler?@5d0a4f: java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs: java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs
  • 27/09/16 21:13:33 WARN [JettyStarter?] rg.eclipse.jetty.server.Server: FAILED net.i2p.jetty.I2PRequestLog@688edd: java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs: java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs
  • 27/09/16 21:13:03 WARN [Addressbook ] .naming.BlockfileNamingService?: The hosts database was not closed cleanly or is still open by another process

Event Logs
View event logs
Service (Wrapper) Logs
File location: C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\..\..\Data\Logs\wrapper.log
DEBUG | wrapperp | 2016/09/26 04:02:49 | send a packet PING : ping 00045eaf
INFO | jvm 2 | 2016/09/26 04:02:49 | WrapperManager? Debug: Received a packet PING : ping 00045eaf
INFO | jvm 2 | 2016/09/26 04:02:49 | WrapperManager? Debug: Send a packet PING : ping 00045eaf
DEBUG | wrapperp | 2016/09/26 04:02:49 | read a packet PING : ping 00045eaf
DEBUG | wrapperp | 2016/09/26 04:13:43 | send a packet PING : ping 00047616
INFO | jvm 2 | 2016/09/26 04:13:43 | WrapperManager? Debug: Received a packet PING : ping 00047616
INFO | jvm 2 | 2016/09/26 04:13:43 | WrapperManager? Debug: Send a packet PING : ping 00047616
DEBUG | wrapperp | 2016/09/26 04:13:43 | read a packet PING : ping 00047616
DEBUG | wrapperp | 2016/09/26 04:24:11 | send a packet PING : ping 00048d7d
INFO | jvm 2 | 2016/09/26 04:24:11 | WrapperManager? Debug: Received a packet PING : ping 00048d7d
INFO | jvm 2 | 2016/09/26 04:24:11 | WrapperManager? Debug: Send a packet PING : ping 00048d7d
DEBUG | wrapperp | 2016/09/26 04:24:11 | read a packet PING : ping 00048d7d
DEBUG | wrapperp | 2016/09/26 04:34:10 | send a packet PING : ping 0004a4e4
INFO | jvm 2 | 2016/09/26 04:34:10 | WrapperManager? Debug: Received a packet PING : ping 0004a4e4
INFO | jvm 2 | 2016/09/26 04:34:10 | WrapperManager? Debug: Send a packet PING : ping 0004a4e4
DEBUG | wrapperp | 2016/09/26 04:34:10 | read a packet PING : ping 0004a4e4
DEBUG | wrapperp | 2016/09/26 04:44:09 | send a packet PING : ping 0004bc4b
INFO | jvm 2 | 2016/09/26 04:44:09 | WrapperManager? Debug: Received a packet PING : ping 0004bc4b
INFO | jvm 2 | 2016/09/26 04:44:09 | WrapperManager? Debug: Send a packet PING : ping 0004bc4b
DEBUG | wrapperp | 2016/09/26 04:44:09 | read a packet PING : ping 0004bc4b
DEBUG | wrapperp | 2016/09/26 04:54:09 | send a packet PING : ping 0004d3b2
INFO | jvm 2 | 2016/09/26 04:54:09 | WrapperManager? Debug: Received a packet PING : ping 0004d3b2
INFO | jvm 2 | 2016/09/26 04:54:09 | WrapperManager? Debug: Send a packet PING : ping 0004d3b2
DEBUG | wrapperp | 2016/09/26 04:54:09 | read a packet PING : ping 0004d3b2
DEBUG | wrapperp | 2016/09/26 05:04:08 | send a packet PING : ping 0004eb19
INFO | jvm 2 | 2016/09/26 05:04:08 | WrapperManager? Debug: Received a packet PING : ping 0004eb19
INFO | jvm 2 | 2016/09/26 05:04:08 | WrapperManager? Debug: Send a packet PING : ping 0004eb19
DEBUG | wrapperp | 2016/09/26 05:04:08 | read a packet PING : ping 0004eb19
DEBUG | wrapperp | 2016/09/26 05:14:07 | send a packet PING : ping 00050280
INFO | jvm 2 | 2016/09/26 05:14:07 | WrapperManager? Debug: Received a packet PING : ping 00050280
INFO | jvm 2 | 2016/09/26 05:14:07 | WrapperManager? Debug: Send a packet PING : ping 00050280
DEBUG | wrapperp | 2016/09/26 05:14:07 | read a packet PING : ping 00050280
DEBUG | wrapperp | 2016/09/26 05:24:06 | send a packet PING : ping 000519e7
INFO | jvm 2 | 2016/09/26 05:24:06 | WrapperManager? Debug: Received a packet PING : ping 000519e7
INFO | jvm 2 | 2016/09/26 05:24:06 | WrapperManager? Debug: Send a packet PING : ping 000519e7
DEBUG | wrapperp | 2016/09/26 05:24:06 | read a packet PING : ping 000519e7
DEBUG | wrapperp | 2016/09/26 05:34:05 | send a packet PING : ping 0005314e
INFO | jvm 2 | 2016/09/26 05:34:05 | WrapperManager? Debug: Received a packet PING : ping 0005314e
INFO | jvm 2 | 2016/09/26 05:34:05 | WrapperManager? Debug: Send a packet PING : ping 0005314e
DEBUG | wrapperp | 2016/09/26 05:34:05 | read a packet PING : ping 0005314e
DEBUG | wrapperp | 2016/09/26 05:44:04 | send a packet PING : ping 000548b5
INFO | jvm 2 | 2016/09/26 05:44:05 | WrapperManager? Debug: Received a packet PING : ping 000548b5
INFO | jvm 2 | 2016/09/26 05:44:05 | WrapperManager? Debug: Send a packet PING : ping 000548b5
DEBUG | wrapperp | 2016/09/26 05:44:05 | read a packet PING : ping 000548b5
DEBUG | wrapperp | 2016/09/26 05:54:04 | send a packet PING : ping 0005601c
INFO | jvm 2 | 2016/09/26 05:54:04 | WrapperManager? Debug: Received a packet PING : ping 0005601c
INFO | jvm 2 | 2016/09/26 05:54:04 | WrapperManager? Debug: Send a packet PING : ping 0005601c
DEBUG | wrapperp | 2016/09/26 05:54:04 | read a packet PING : ping 0005601c
DEBUG | wrapperp | 2016/09/26 06:04:03 | send a packet PING : ping 00057783
INFO | jvm 2 | 2016/09/26 06:04:03 | WrapperManager? Debug: Received a packet PING : ping 00057783
INFO | jvm 2 | 2016/09/26 06:04:03 | WrapperManager? Debug: Send a packet PING : ping 00057783
DEBUG | wrapperp | 2016/09/26 06:04:03 | read a packet PING : ping 00057783
DEBUG | wrapperp | 2016/09/26 06:14:02 | send a packet PING : ping 00058eea
INFO | jvm 2 | 2016/09/26 06:14:02 | WrapperManager? Debug: Received a packet PING : ping 00058eea
INFO | jvm 2 | 2016/09/26 06:14:02 | WrapperManager? Debug: Send a packet PING : ping 00058eea
DEBUG | wrapperp | 2016/09/26 06:14:02 | read a packet PING : ping 00058eea
DEBUG | wrapperp | 2016/09/26 06:24:01 | send a packet PING : ping 0005a651
INFO | jvm 2 | 2016/09/26 06:24:01 | WrapperManager? Debug: Received a packet PING : ping 0005a651
INFO | jvm 2 | 2016/09/26 06:24:01 | WrapperManager? Debug: Send a packet PING : ping 0005a651
DEBUG | wrapperp | 2016/09/26 06:24:01 | read a packet PING : ping 0005a651
DEBUG | wrapperp | 2016/09/26 06:34:00 | send a packet PING : ping 0005bdb8
INFO | jvm 2 | 2016/09/26 06:34:00 | WrapperManager? Debug: Received a packet PING : ping 0005bdb8
INFO | jvm 2 | 2016/09/26 06:34:00 | WrapperManager? Debug: Send a packet PING : ping 0005bdb8
DEBUG | wrapperp | 2016/09/26 06:34:00 | read a packet PING : ping 0005bdb8
DEBUG | wrapperp | 2016/09/26 06:43:59 | send a packet PING : ping 0005d51f
INFO | jvm 2 | 2016/09/26 06:44:00 | WrapperManager? Debug: Received a packet PING : ping 0005d51f
INFO | jvm 2 | 2016/09/26 06:44:00 | WrapperManager? Debug: Send a packet PING : ping 0005d51f
DEBUG | wrapperp | 2016/09/26 06:44:00 | read a packet PING : ping 0005d51f
DEBUG | wrapperp | 2016/09/26 06:53:59 | send a packet PING : ping 0005ec86
INFO | jvm 2 | 2016/09/26 06:53:59 | WrapperManager? Debug: Received a packet PING : ping 0005ec86
INFO | jvm 2 | 2016/09/26 06:53:59 | WrapperManager? Debug: Send a packet PING : ping 0005ec86
DEBUG | wrapperp | 2016/09/26 06:53:59 | read a packet PING : ping 0005ec86
DEBUG | wrapperp | 2016/09/26 07:03:58 | send a packet PING : ping 000603ed
INFO | jvm 2 | 2016/09/26 07:03:58 | WrapperManager? Debug: Received a packet PING : ping 000603ed
INFO | jvm 2 | 2016/09/26 07:03:58 | WrapperManager? Debug: Send a packet PING : ping 000603ed
DEBUG | wrapperp | 2016/09/26 07:03:58 | read a packet PING : ping 000603ed
DEBUG | wrapperp | 2016/09/26 07:13:57 | send a packet PING : ping 00061b54
INFO | jvm 2 | 2016/09/26 07:13:57 | WrapperManager? Debug: Received a packet PING : ping 00061b54
INFO | jvm 2 | 2016/09/26 07:13:57 | WrapperManager? Debug: Send a packet PING : ping 00061b54
DEBUG | wrapperp | 2016/09/26 07:13:57 | read a packet PING : ping 00061b54
DEBUG | wrapperp | 2016/09/26 07:23:56 | send a packet PING : ping 000632bb
INFO | jvm 2 | 2016/09/26 07:23:56 | WrapperManager? Debug: Received a packet PING : ping 000632bb
INFO | jvm 2 | 2016/09/26 07:23:56 | WrapperManager? Debug: Send a packet PING : ping 000632bb
DEBUG | wrapperp | 2016/09/26 07:23:56 | read a packet PING : ping 000632bb
DEBUG | wrapperp | 2016/09/26 07:33:55 | send a packet PING : ping 00064a22
INFO | jvm 2 | 2016/09/26 07:33:55 | WrapperManager? Debug: Received a packet PING : ping 00064a22
INFO | jvm 2 | 2016/09/26 07:33:55 | WrapperManager? Debug: Send a packet PING : ping 00064a22
DEBUG | wrapperp | 2016/09/26 07:33:55 | read a packet PING : ping 00064a22
DEBUG | wrapperp | 2016/09/26 07:43:54 | send a packet PING : ping 00066189
INFO | jvm 2 | 2016/09/26 07:43:55 | WrapperManager? Debug: Received a packet PING : ping 00066189
INFO | jvm 2 | 2016/09/26 07:43:55 | WrapperManager? Debug: Send a packet PING : ping 00066189
DEBUG | wrapperp | 2016/09/26 07:43:55 | read a packet PING : ping 00066189
DEBUG | wrapperp | 2016/09/26 07:53:54 | send a packet PING : ping 000678f0
INFO | jvm 2 | 2016/09/26 07:53:54 | WrapperManager? Debug: Received a packet PING : ping 000678f0
INFO | jvm 2 | 2016/09/26 07:53:54 | WrapperManager? Debug: Send a packet PING : ping 000678f0
DEBUG | wrapperp | 2016/09/26 07:53:54 | read a packet PING : ping 000678f0
DEBUG | wrapperp | 2016/09/26 08:03:53 | send a packet PING : ping 00069057
INFO | jvm 2 | 2016/09/26 08:03:53 | WrapperManager? Debug: Received a packet PING : ping 00069057
INFO | jvm 2 | 2016/09/26 08:03:53 | WrapperManager? Debug: Send a packet PING : ping 00069057
DEBUG | wrapperp | 2016/09/26 08:03:53 | read a packet PING : ping 00069057
DEBUG | wrapperp | 2016/09/26 08:13:52 | send a packet PING : ping 0006a7be
INFO | jvm 2 | 2016/09/26 08:13:52 | WrapperManager? Debug: Received a packet PING : ping 0006a7be
INFO | jvm 2 | 2016/09/26 08:13:52 | WrapperManager? Debug: Send a packet PING : ping 0006a7be
DEBUG | wrapperp | 2016/09/26 08:13:52 | read a packet PING : ping 0006a7be
DEBUG | wrapperp | 2016/09/26 08:23:51 | send a packet PING : ping 0006bf25
INFO | jvm 2 | 2016/09/26 08:23:51 | WrapperManager? Debug: Received a packet PING : ping 0006bf25
INFO | jvm 2 | 2016/09/26 08:23:51 | WrapperManager? Debug: Send a packet PING : ping 0006bf25
DEBUG | wrapperp | 2016/09/26 08:23:51 | read a packet PING : ping 0006bf25
DEBUG | wrapperp | 2016/09/26 08:33:50 | send a packet PING : ping 0006d68c
INFO | jvm 2 | 2016/09/26 08:33:51 | WrapperManager? Debug: Received a packet PING : ping 0006d68c
INFO | jvm 2 | 2016/09/26 08:33:51 | WrapperManager? Debug: Send a packet PING : ping 0006d68c
DEBUG | wrapperp | 2016/09/26 08:33:51 | read a packet PING : ping 0006d68c
DEBUG | wrapperp | 2016/09/26 08:43:50 | send a packet PING : ping 0006edf3
INFO | jvm 2 | 2016/09/26 08:43:50 | WrapperManager? Debug: Received a packet PING : ping 0006edf3
INFO | jvm 2 | 2016/09/26 08:43:50 | WrapperManager? Debug: Send a packet PING : ping 0006edf3
DEBUG | wrapperp | 2016/09/26 08:43:50 | read a packet PING : ping 0006edf3
DEBUG | wrapperp | 2016/09/26 08:53:49 | send a packet PING : ping 0007055a
INFO | jvm 2 | 2016/09/26 08:53:49 | WrapperManager? Debug: Received a packet PING : ping 0007055a
INFO | jvm 2 | 2016/09/26 08:53:49 | WrapperManager? Debug: Send a packet PING : ping 0007055a
DEBUG | wrapperp | 2016/09/26 08:53:49 | read a packet PING : ping 0007055a
DEBUG | wrapperp | 2016/09/26 09:03:48 | send a packet PING : ping 00071cc1
INFO | jvm 2 | 2016/09/26 09:03:48 | WrapperManager? Debug: Received a packet PING : ping 00071cc1
INFO | jvm 2 | 2016/09/26 09:03:48 | WrapperManager? Debug: Send a packet PING : ping 00071cc1
DEBUG | wrapperp | 2016/09/26 09:03:48 | read a packet PING : ping 00071cc1
DEBUG | wrapperp | 2016/09/26 09:13:47 | send a packet PING : ping 00073428
INFO | jvm 2 | 2016/09/26 09:13:47 | WrapperManager? Debug: Received a packet PING : ping 00073428
INFO | jvm 2 | 2016/09/26 09:13:47 | WrapperManager? Debug: Send a packet PING : ping 00073428
DEBUG | wrapperp | 2016/09/26 09:13:47 | read a packet PING : ping 00073428
STATUS | wrapper | 2016/09/27 21:13:21 | --> Wrapper Started as Console
STATUS | wrapper | 2016/09/27 21:13:21 | Java Service Wrapper Community Edition 32-bit 3.5.25
STATUS | wrapper | 2016/09/27 21:13:21 | Copyright (C) 1999-2014 Tanuki Software, Ltd. All Rights Reserved.
STATUS | wrapper | 2016/09/27 21:13:21 | http://wrapper.tanukisoftware.com
STATUS | wrapper | 2016/09/27 21:13:21 |
DEBUG | wrapper | 2016/09/27 21:13:21 | Launching Startup thread.
DEBUG | wrapper | 2016/09/27 21:13:21 | Startup thread started.
DEBUG | wrapper | 2016/09/27 21:13:21 | Attempting to verify the binary signature.
DEBUG | wrapper | 2016/09/27 21:13:21 | The file "C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\I2Psvc.exe" is not signed.
DEBUG | wrapper | 2016/09/27 21:13:21 | Startup thread stopped.
DEBUG | wrapper | 2016/09/27 21:13:21 | Release time: 2014/06/12 00:00:00
DEBUG | wrapper | 2016/09/27 21:13:21 | Build time: 2014/07/01 02:00:00
DEBUG | wrapper | 2016/09/27 21:13:21 | Timezone: Arabian Standard Time (Arabian Daylight Time) Offset: -14400, hasDaylight: 0
DEBUG | wrapper | 2016/09/27 21:13:21 | Using tick timer.
DEBUG | wrapper | 2016/09/27 21:13:21 | Current User: ehrecep Domain: EH
DEBUG | wrapper | 2016/09/27 21:13:21 | Operating System ID: Microsoft Windows 7 Professional Service Pack 1 (build 7601), 64-bit
DEBUG | wrapper | 2016/09/27 21:13:21 | Use tick timer mutex=FALSE
DEBUG | wrapper | 2016/09/27 21:13:21 | active log file changed: ..\..\Data\Logs\wrapper.log
DEBUG | wrapper | 2016/09/27 21:13:21 | Preparing to restart with mode 1.
DEBUG | wrapperp | 2016/09/27 21:13:21 | server listening on port 32000.
DEBUG | wrapper | 2016/09/27 21:13:21 | Magic number for file ..\..\..\CommonFiles?\Java\bin\java.exe: 0x4d5a9000
DEBUG | wrapper | 2016/09/27 21:13:21 | Startup Timeouts: wrapper.startup.timeout=30, wrapper.startup.delay.console=0, wrapper.startup.delay.service=0, wrapper.restart.delay=15
DEBUG | wrapper | 2016/09/27 21:13:21 | Ping settings: wrapper.ping.interval=600, wrapper.ping.interval.logged=1, wrapper.ping.timeout=605, wrapper.ping.alert.threshold=151
DEBUG | wrapper | 2016/09/27 21:13:21 | Shutdown Timeouts: wrapper.startup.timeout=30, wrapper.shutdown.timeout=30, wrapper.jvm_exit.timeout=10, wrapper.jvm_cleanup.timeout=10, wrapper.jvm_terminate.timeout=1
STATUS | wrapper | 2016/09/27 21:13:21 | Launching a JVM...
DEBUG | wrapper | 2016/09/27 21:13:21 | Java Command Line:
DEBUG | wrapper | 2016/09/27 21:13:21 | Command: "..\..\..\CommonFiles?\Java\bin\java.exe" -DloggerFilenameOverride?=../Logs/log-router-@.txt -Dorg.mortbay.http.Version.paranoid=true -Dorg.mortbay.util.FileResource?.checkAliases=false -Dorg.mortbay.xml.XmlParser?.NotValidating?=true -Di2p.dir.base="./" -Di2p.dir.pid="../../Data/" -Di2p.dir.temp="../../Data/Temp/?" -Di2p.dir.config="../../Data/settings/" -Xmx256m -Djava.library.path="./;./lib" -classpath "./lib/BOB.jar;./lib/commons-el.jar;./lib/commons-logging.jar;./lib/desktopgui.jar;./lib/i2p.jar;./lib/i2psnark.jar;./lib/i2ptunnel.jar;./lib/jasper-compiler.jar;./lib/jasper-runtime.jar;./lib/javax.servlet.jar;./lib/jbigi.jar;./lib/jetty-continuation.jar;./lib/jetty-deploy.jar;./lib/jetty-http.jar;./lib/jetty-i2p.jar;./lib/jetty-io.jar;./lib/jetty-java5-threadpool.jar;./lib/jetty-rewrite-handler.jar;./lib/jetty-security.jar;./lib/jetty-servlet.jar;./lib/jetty-servlets.jar;./lib/jetty-sslengine.jar;./lib/jetty-start.jar;./lib/jetty-util.jar;./lib/jetty-webapp.jar;./lib/jetty-xml.jar;./lib/jrobin.jar;./lib/jstl.jar;./lib/mstreaming.jar;./lib/org.mortbay.jetty.jar;./lib/org.mortbay.jmx.jar;./lib/router.jar;./lib/routerconsole.jar;./lib/sam.jar;./lib/standard.jar;./lib/streaming.jar;./lib/systray4j.jar;./lib/systray.jar;./lib/wrapper.jar" -Dwrapper.key="zUM2xuMWXzzyjh04" -Dwrapper.port=32000 -Dwrapper.jvm.port.min=31000 -Dwrapper.jvm.port.max=31999 -Dwrapper.debug="TRUE" -Dwrapper.pid=4436 -Dwrapper.version="3.5.25" -Dwrapper.native_library="wrapper" -Dwrapper.arch="x86" -Dwrapper.cpu.timeout="10" -Dwrapper.jvmid=1 org.tanukisoftware.wrapper.WrapperSimpleApp? net.i2p.router.Router
DEBUG | wrapper | 2016/09/27 21:13:21 | JVM started (PID=2392)
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: WrapperManager? class initialized by thread: main Using classloader: sun.misc.Launcher$AppClassLoader?@5ede7b
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager?: Initializing...
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: JVM #1
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Running a 32-bit JVM.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: org.tanukisoftware.wrapper.WrapperManager? package information:
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Implementation Title: org.tanukisoftware.wrapper
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Implementation Vendor: Tanuki Software, Ltd.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Implementation Version: 3.5.25
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Is Sealed?: False
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: org.tanukisoftware.wrapper.WrapperManager? protection domain:
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Location: file:/C:/Users/ehrecep/Desktop/I2PPortable/App/I2P/lib/wrapper.jar
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Size: 121,449
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: MD5: c2730df4dcbe5a4167baf53b6e939c13
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Registering shutdown hook
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Using wrapper
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Registered MBean with Platform MBean Server: org.tanukisoftware.wrapper:type=WrapperManager
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Load native library. There are multiple possible file names and the first to be found will be used. Errors loading non-existing files is normal and is only a problem if they all fail.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Attempt to load native library with name: wrapper-windows-x86-32.dll Result: Success!
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Successfully loaded native library.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Loaded localized resources.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Calling native initialization method.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperJNI Debug: Initializing WrapperManager? native library.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperJNI Debug: Java Executable: C:\Users\ehrecep\Desktop\CommonFiles?\Java\bin\java.exe
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperJNI Debug: Native Library: C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\lib\wrapper-windows-x86-32.dll
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperJNI Debug: Windows version: 6.1.7601
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Java Version : 1.8.0_101-b13 Java HotSpot?(TM) Client VM
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Java VM Vendor : Oracle Corporation
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: OS Name : Windows 7
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: OS Arch : x86
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug:
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Control event monitor thread started.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Startup runner thread started.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: WrapperManager?.start(a org.tanukisoftware.wrapper.WrapperSimpleApp?, args[]) called by thread: main
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Initial thread: main Priority: 5
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Communications runner thread started.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Open socket to wrapper...Wrapper-Connection
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Opened Socket from 31,000 to 32,000
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Send a packet KEY : zUM2xuMWXzzyjh04
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: handleBackend()
DEBUG | wrapperp | 2016/09/27 21:13:21 | accepted a socket from 127.0.0.1 on port 31000
DEBUG | wrapperp | 2016/09/27 21:13:21 | closing backend server.
DEBUG | wrapperp | 2016/09/27 21:13:21 | read a packet KEY : zUM2xuMWXzzyjh04
DEBUG | wrapper | 2016/09/27 21:13:21 | Got key from JVM: zUM2xuMWXzzyjh04
DEBUG | wrapperp | 2016/09/27 21:13:21 | send a packet LOW_LOG_LEVEL : 1
DEBUG | wrapperp | 2016/09/27 21:13:21 | send a packet LOGFILE : ..\..\Data\Logs\wrapper.log
DEBUG | wrapperp | 2016/09/27 21:13:21 | send a packet PROPERTIES : (Property Values)
DEBUG | wrapper | 2016/09/27 21:13:21 | Start Application.
DEBUG | wrapperp | 2016/09/27 21:13:21 | send a packet START : start
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Received a packet LOW_LOG_LEVEL : 1
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: LowLogLevel? from Wrapper is 1
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Received a packet LOGFILE : ..\..\Data\Logs\wrapper.log
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Received a packet PROPERTIES : (Property Values)
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Received a packet START : start
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Java temporary directory: C:\Users\ehrecep\AppData?\Local\Temp\I2PPortableTemp
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: calling WrapperListener?.start()
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: WrapperListener?.start runner thread started.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperManager? Debug: Application start main thread: WrapperListener_start_runner Priority: 5
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperSimpleApp? Debug: start(args) Will wait up to 2 seconds for the main method to complete.
INFO | jvm 1 | 2016/09/27 21:13:21 | WrapperSimpleApp? Debug: invoking main method
INFO | jvm 1 | 2016/09/27 21:13:21 | Starting I2P 0.9.26-0
INFO | jvm 1 | 2016/09/27 21:13:21 | WARN: Old router was not shut down gracefully, deleting ..\..\Data\router.ping
INFO | jvm 1 | 2016/09/27 21:13:21 | INFO: Native CPUID library jcpuid-x86-windows loaded from file
INFO | jvm 1 | 2016/09/27 21:13:21 | INFO: Locally optimized native BigInteger? library loaded from file
INFO | jvm 1 | 2016/09/27 21:13:22 | WrapperManager? Debug: Send a packet START_PENDING : 5000
DEBUG | wrapperp | 2016/09/27 21:13:22 | read a packet START_PENDING : 5000
DEBUG | wrapper | 2016/09/27 21:13:22 | JVM signaled a start pending with waitHint of 5000 millis.
INFO | jvm 1 | 2016/09/27 21:13:23 | WrapperSimpleApp? Debug: main method completed
INFO | jvm 1 | 2016/09/27 21:13:23 | WrapperSimpleApp? Debug: start(args) end. Main Completed=true, exitCode=null
INFO | jvm 1 | 2016/09/27 21:13:23 | WrapperManager? Debug: returned from WrapperListener?.start()
INFO | jvm 1 | 2016/09/27 21:13:23 | WrapperManager? Debug: Send a packet STARTED :
INFO | jvm 1 | 2016/09/27 21:13:23 | WrapperManager? Debug: WrapperListener?.start runner thread stopped.
INFO | jvm 1 | 2016/09/27 21:13:23 | WrapperManager? Debug: Startup runner thread stopped.
DEBUG | wrapperp | 2016/09/27 21:13:23 | read a packet STARTED :
DEBUG | wrapper | 2016/09/27 21:13:23 | JVM signaled that it was started.
INFO | jvm 1 | 2016/09/27 21:13:33 | INFO: BOB is now running.
INFO | jvm 1 | 2016/09/27 21:14:19 | CRIT [JettyStarter?] outer.startup.RouterAppManager?: Client Jetty Data/eepsite/jetty.xml START_FAILED
INFO | jvm 1 | 2016/09/27 21:14:19 | java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.util.RolloverFileOutputStream?.setFile(RolloverFileOutputStream?.java:219)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.util.RolloverFileOutputStream?.<init>(RolloverFileOutputStream?.java:166)
INFO | jvm 1 | 2016/09/27 21:14:19 | at net.i2p.jetty.I2PRequestLog.doStart(I2PRequestLog.java:464)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.server.handler.RequestLogHandler?.doStart(RequestLogHandler?.java:166)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.server.handler.HandlerCollection?.doStart(HandlerCollection?.java:229)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.server.handler.HandlerWrapper?.doStart(HandlerWrapper?.java:95)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.server.Server.doStart(Server.java:282)
INFO | jvm 1 | 2016/09/27 21:14:19 | at org.eclipse.jetty.util.component.AbstractLifeCycle?.start(AbstractLifeCycle?.java:64)
INFO | jvm 1 | 2016/09/27 21:14:19 | at net.i2p.jetty.JettyStart?$Starter.run(JettyStart?.java:126)
DEBUG | wrapperp | 2016/09/27 21:23:20 | send a packet PING : ping 00001568
INFO | jvm 1 | 2016/09/27 21:23:20 | WrapperManager? Debug: Received a packet PING : ping 00001568
INFO | jvm 1 | 2016/09/27 21:23:20 | WrapperManager? Debug: Send a packet PING : ping 00001568
DEBUG | wrapperp | 2016/09/27 21:23:20 | read a packet PING : ping 00001568

Subtickets

Attachments (1)

I2P REPORT.docx (27.5 KB) - added by anonymous maybe 2 years ago.

Download all attachments as: .zip

Change History (5)

Changed 2 years ago by anonymous maybe

comment:1 Changed 2 years ago by anonymous maybe

  • Component changed from unspecified to api/i2cp

comment:2 Changed 2 years ago by zzz

  • Component changed from api/i2cp to apps/jetty
  • Priority changed from critical to minor
  • Resolution set to not a bug
  • Status changed from new to closed
  • Summary changed from enabling External I2CP with ssl only going to give cirtical reports to Jetty log dir in portable

The answer is right at the top:

     27/09/16 21:13:33 CRIT [JettyStarter?] outer.startup.RouterAppManager?: Client Jetty Data/eepsite/jetty.xml START_FAILED 

    java.io.IOException: Cannot write log directory C:\Users\ehrecep\Desktop\I2PPortable\App\I2P\eepsite\logs 

Create that directory. I don't know how you set up the "portable" settings, but that directory didn't get created.

This has nothing to do with I2CP or SSL.

comment:3 Changed 2 years ago by anonymous maybe

worth mentioning about how to get i2p portable from this link:-

https://github.com/ThePrudentNinja/I2PPortable

comment:4 Changed 2 years ago by zzz

Thanks for the link. That's a downstream 3rd party installer, please report the bug to them.

Note: See TracTickets for help on using tickets.